img = imread('indoor_02_undist.png');
points = load('image_points_02.txt');

hold on
image(img);
axis('image');
set(gca,'YDir','reverse')
% point data are zero-origin
% MATLAB is one-origin
plot(points(:,1)+1,points(:,2)+1, 'rx', 'MarkerSize',8);